MacDraft5StyleManagerInternal::Pixmap Struct Reference

Internal and low level: a class used to read pack/unpack color pixmap of a MacDraf5StyleManager. More...

## Public Member Functions

| Pixmap ()
bool | readPixmapData (MWAWInputStream &input)
| parses the pixmap data zone
bool | get (MWAWEmbeddedObject &picture, MWAWVec2i &pictSize, MWAWColor &avColor) const
| returns the pixmap

## Public Attributes

int | m_rowBytes
| the num of bytes used to store a row
MWAWBox2i | m_rect
| the pixmap rectangle
int | m_version
| the pixmap version
int | m_packType
| the packing format
long | m_packSize
| size of data in the packed state
int | m_resolution [2]
| horizontal/vertical definition
int | m_pixelType
| format of pixel image
int | m_pixelSize
| physical bit by image
int | m_compCount
| logical components per pixels
int | m_compSize
| logical bits by components
long | m_planeBytes
| offset to the next plane
std::vector< MWAWColor > | m_colorTable
| the color table
std::vector< int > | m_indices
| the pixmap indices
std::vector< MWAWColor > | m_colors
| the colors
int | m_mode
| the encoding mode ?

## Friends

std::ostream & | operator<< (std::ostream &o, Pixmap const &f)
| operator<< for Pixmap

## Detailed Description

Internal and low level: a class used to read pack/unpack color pixmap of a MacDraf5StyleManager.

Note
  parse only unpacked pixmap, if packed pixmap can exist, the code of ApplePictParserInternal::Pixmap must be used

## Constructor & Destructor Documentation

## Pixmap()

MacDraft5StyleManagerInternal::Pixmap::Pixmap | ( |  | ) |

inline

Referenced by operator<<.

## Member Function Documentation

## get()

bool MacDraft5StyleManagerInternal::Pixmap::get | ( | MWAWEmbeddedObject & | picture,
|  | MWAWVec2i & | pictSize,
|  | MWAWColor & | avColor ) const

inline

returns the pixmap

## readPixmapData()

bool MacDraft5StyleManagerInternal::Pixmap::readPixmapData | ( | MWAWInputStream & | input | ) |

inline

parses the pixmap data zone

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Pixmap const & | f )

friend

operator<< for Pixmap

## Member Data Documentation

## m_colors

std::vector<MWAWColor> MacDraft5StyleManagerInternal::Pixmap::m_colors

the colors

Referenced by get(), Pixmap(), and readPixmapData().

## m_colorTable

std::vector<MWAWColor> MacDraft5StyleManagerInternal::Pixmap::m_colorTable

the color table

Referenced by get(), Pixmap(), and readPixmapData().

## m_compCount

int MacDraft5StyleManagerInternal::Pixmap::m_compCount

logical components per pixels

Referenced by Pixmap().

## m_compSize

int MacDraft5StyleManagerInternal::Pixmap::m_compSize

logical bits by components

Referenced by Pixmap().

## m_indices

std::vector<int> MacDraft5StyleManagerInternal::Pixmap::m_indices

the pixmap indices

Referenced by get(), Pixmap(), and readPixmapData().

## m_mode

int MacDraft5StyleManagerInternal::Pixmap::m_mode

the encoding mode ?

Referenced by Pixmap().

## m_packSize

long MacDraft5StyleManagerInternal::Pixmap::m_packSize

size of data in the packed state

Referenced by Pixmap().

## m_packType

int MacDraft5StyleManagerInternal::Pixmap::m_packType

the packing format

Referenced by Pixmap().

## m_pixelSize

int MacDraft5StyleManagerInternal::Pixmap::m_pixelSize

physical bit by image

Referenced by Pixmap(), and readPixmapData().

## m_pixelType

int MacDraft5StyleManagerInternal::Pixmap::m_pixelType

format of pixel image

Referenced by Pixmap().

## m_planeBytes

long MacDraft5StyleManagerInternal::Pixmap::m_planeBytes

offset to the next plane

Referenced by Pixmap().

## m_rect

MWAWBox2i MacDraft5StyleManagerInternal::Pixmap::m_rect

the pixmap rectangle

Referenced by get(), operator<<, Pixmap(), and readPixmapData().

## m_resolution

int MacDraft5StyleManagerInternal::Pixmap::m_resolution[2]

horizontal/vertical definition

Referenced by operator<<, and Pixmap().

## m_rowBytes

int MacDraft5StyleManagerInternal::Pixmap::m_rowBytes

the num of bytes used to store a row

Referenced by operator<<, Pixmap(), and readPixmapData().

## m_version

int MacDraft5StyleManagerInternal::Pixmap::m_version

the pixmap version

Referenced by Pixmap().

The documentation for this struct was generated from the following file:

- MacDraft5StyleManager.cxx